Do specific operations to load by id.

Operations data, depends from the type.

For ARCHIVE:

{

  "type": "ARCHIVE",

  "payload": null

}

For ACCEPT_OFFER:

{

  "type": "ACCEPT_OFFER",

  "payload": {

    "carrier_offer_id": "1234LL"

  }

}

For POST:

{

  "type": "POST",

  "payload": null

}

For DISPATCH:

{

  "type": "DISPATCH",

  "payload": {

    "carrier_dot": 1234567

  }

}

For UNDISPATCH:

{

  "type": "UNDISPATCH",

  "payload": {

    "is_repost": true

  }

}

For REASSIGN_DRIVER:

{

  "type": "REASSIGN_DRIVER",

  "payload": {

    "new_driver_id": "DEADBEEFBABED1A1"

  }

}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params

Operations data, depends from the type.

For ARCHIVE:

{

  "type": "ARCHIVE",

  "payload": null

}

For POST:

{

  "type": "POST",

  "payload": null

}

For ACCEPT_OFFER:

{

  "type": "ACCEPT_OFFER",

  "payload": {

    "carrier_offer_id": "1234LL"

  }

}

For DISPATCH:

{

  "type": "DISPATCH",

  "payload": {

    "carrier_dot": 1234567

  }

}

For UNDISPATCH:

{

  "type": "UNDISPATCH",

  "payload": {

    "is_repost": true

  }

}

For REASSIGN_DRIVER:

{

  "type": "REASSIGN_DRIVER",

  "payload": {

    "new_driver_id": "DEADBEEFBABED1A1"

  }

}

For REMOVE_DRIVER:

{

  "type": "REMOVE_DRIVER",

  "payload": null

}

string
enum
required

Action type

Allowed:
payload
required
Responses
204

No Content

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json